View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
11981Feature requestsSurvey participants (Tokens)public2017-09-22 10:43
Reportertammo Assigned Toc_schmitz  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary11981: Reset all user activity in token table
Description

When I copy a survey for iteration and also export/import the token table via csv, I still have to manually reset all tokens.

Could there please be a button to re-initialise the token table: all people reset to not invited, not remninded and not answered?

TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tammo

tammo

2016-12-23 09:29

partner   ~42596

I have found out that this is partly possible with the re-iterate button. But then people that have completed the survey will not be reset. What I am looking for is the following: a way of completely re-initializing the token table: all people at not invited, not started, not completed. The only option could be: keep token or renew token. Default is keep token.

DenisChenu

DenisChenu

2016-12-26 10:55

developer   ~42597

A tool for :

  • Set the token to submit=N/Uses left=1
  • Set the corresponding response to submit=N/lastpage=1
    At the same time.
    By token, or by tokens checked (+ filtered token when we have a solution)

+1

c_schmitz

c_schmitz

2017-09-22 10:43

administrator   ~44444

You can now batch edit tokens.

Issue History

Date Modified Username Field Change
2016-12-06 13:11 tammo New Issue
2016-12-08 10:39 c_schmitz Category Tokens => Survey participants (Tokens)
2016-12-23 09:29 tammo Note Added: 42596
2016-12-26 10:55 DenisChenu Note Added: 42597
2017-09-22 10:43 c_schmitz Assigned To => c_schmitz
2017-09-22 10:43 c_schmitz Status new => closed
2017-09-22 10:43 c_schmitz Resolution open => fixed
2017-09-22 10:43 c_schmitz Fixed in Version => 2.x.x
2017-09-22 10:43 c_schmitz Note Added: 44444